Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgMappingService Class Reference
[MgMappingService]

Performs map related operations such as getting an eMap DWF representing a map or updates to a map, or querying features from maps or layers of a map. More...

Inherits MgService.

List of all members.

## Public Types
enum | OperationId { opIdGenerateMap = 0x1111EE01, opIdGenerateMapUpdate = 0x1111EE02, opIdGeneratePlot = 0x1111EE03, opIdGeneratePlotWithLayout = 0x1111EE04, opIdGenerateMultiPlot = 0x1111EE05, opIdGenerateLegendPlot = 0x1111EE06, opIdQueryFeatures = 0x1111EE07, opIdQueryFeaturesWms = 0x1111EE08, opIdGeneratePlot2 = 0x1111EE09, opIdGeneratePlot3 = 0x1111EE0A, opIdGenerateLegendImage = 0x1111EE0D }
## Public Member Functions
virtual MgByteReader * | GenerateLegendImage (MgResourceIdentifier *resource, double scale, INT32 width, INT32 height, CREFSTRING format, INT32 geomType, INT32 themeCategory)=0
| GenerateLegendImage() returns the legend image for the specified layer.
virtual MgByteReader * | GenerateMap (MgMap *map, CREFSTRING mapAgentUri, MgDwfVersion *dwfVersion)
| Generates an eMap that describes the specified map.
virtual MgByteReader * | GenerateMapUpdate (MgMap *map, INT32 seqNo, MgDwfVersion *dwfVersion)=0
| Generates an eMap that contains any required updates to the metadata and layer graphics based on the state of the specified map.
virtual MgByteReader * | GenerateMultiPlot (MgMapPlotCollection *mapPlots, MgDwfVersion *dwfVersion)=0
| Generates an ePlot containing one sheet per specified map.
virtual MgByteReader * | GeneratePlot (MgMap *map, MgEnvelope *extents, bool expandToFit, MgPlotSpecification *plotSpec, MgLayout *layout, MgDwfVersion *dwfVersion)=0
| Plot the map to an EPlot DWF using the extent specified in the mapping coordinate space. The center and scale will be computed based on the extent specified. If expandToFit is true, then the extent specified will be expanded in the X or Y direction to fill the space within the page margins. If the layout paramter is null, no adornments will be added to the page.
virtual MgByteReader * | GeneratePlot (MgMap *map, MgCoordinate *center, double scale, MgPlotSpecification *plotSpec, MgLayout *layout, MgDwfVersion *dwfVersion)=0
| Plot the map to an EPlot DWF using the specified center and scale. The extents will be computed to fill the space within the page margins. If the layout paramter is null, no adornments will be added to the page.
virtual MgByteReader * | GeneratePlot (MgMap *map, MgPlotSpecification *plotSpec, MgLayout *layout, MgDwfVersion *dwfVersion)=0
| Plot The map to an EPlot DWF using the center and scale from the map. The extents will be computed to fill the space within the page margins. If the layout paramter is null, no adornments will be added to the page.

## Detailed Description

Performs map related operations such as getting an eMap DWF representing a map or updates to a map, or querying features from maps or layers of a map.

Comments or suggestions? Send us feedback.